-module(test).
-export([test/0]).

test() ->
	case regexp:match("abc", "b") of
	  {error, Reason}  -> throw("Error: " ++ lists:flatten(regexp:format_error(Reason)));
	  {match, 1, Len}  -> Len;
	  {match, St, Len} -> use(St, Len);
	  nomatch          -> ok
	end.

use(_A,_B) ->
	ok.